#include <stdio.h>

int main(int argc, char ** argv)
{
    unsigned int compteur = 0, ra = EOF, rb = EOF;
    FILE * a, * b;

    // Args
    if ( argc != 3 ) {
	fprintf(stderr,"Usage : %s <fichier A> <fichier B>\n",argv[0]);
	return 1;
    }

    // Ouvertures
    a = fopen(argv[1],"r");
    if ( ! a ) {
	perror("fopen");
	return 2;
    }
    b = fopen(argv[2],"r");
    if ( ! b ) {
	perror("fopen");
	return 2;
    }

    // Diff
    while ( 1 ) {
	ra = fgetc(a);
	rb = fgetc(b);
	if ( ra == EOF || rb == EOF )
	    break;
	if ( ra != rb )
	    compteur++;
    }

    printf("%d\n",compteur);

    // Nettoyage
    fclose(a);
    fclose(b);
    
    return 0;
}
