#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <sys/types.h>
#include <unistd.h>
#include <string.h>
#include <stdlib.h>

/*
 * Cette fonction lit des caractres sur l'entre standard, change des bits
 * alatoirement selon les valeurs de p et q et imprime les caractres modifis
 * ou non sur la sortie standard.
 */
void bbbeeeeeeeeeeeeuuuuuuuuuuuuuuuaaaaaaaaaaahhhhhhhhhhhhhhhhhhhhhhhhh
    (float p, float q, FILE * in, FILE * out)
{
    int c, i;
    float r;

    srand(time(NULL) * getpid());

    while ( (c = fgetc(in)) != EOF ) {
	for ( i=0 ; i < 8 ; i++ ) {
	    r = (float)rand() / (float)0x7FFFFFFF; // alatoire dans [0,1]
	    if ( c & (1<<i) ) { // Si on trouve un 1 au bit i
		if ( r < p )
		    c ^= (1<<i); // Inversion
	    } else { // Si on trouve un 0 au bit i
		if ( r < q )
		    c ^= (1<<i); // Inversion
	    }
	}
	fputc(c,out);
    }
}

int main(int argc, char ** argv)
{
    float p, q;
    FILE * i = NULL, * o = NULL;
    char * out = NULL;

    if ( argc != 4 ) {
	fprintf(stderr,"Usage : %s <fichier> <p> <q>\n",argv[0]);
	return 1;
    }

    p = strtof(argv[1], NULL);
    q = strtof(argv[2], NULL);

    i = fopen(argv[1],"r");
    if ( i == NULL )
	return 1;

    out = malloc(strlen(argv[1]) + 4);
    if ( out == NULL ) {
	fclose(i);
	return 1;
    }
    strcpy(out, argv[1]);
    strcat(out, ".ca");

    o = fopen(out, "w");
    if ( o == NULL ) {
	free(out);
	fclose(i);
	return 1;
    }

    free(out);

    bbbeeeeeeeeeeeeuuuuuuuuuuuuuuuaaaaaaaaaaahhhhhhhhhhhhhhhhhhhhhhhhh(p,q,i,o);

    fclose(i);
    fclose(o);
    
    return 0;
}
