#ifndef _matrix_H
#define _matrix_H

#include <assert.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

typedef struct {
    int w,h; // Taille de la matrice
    int ** matrix; // Matrice
} matrix;

matrix * matrix_new(int w, int h);
matrix * matrix_id(int w, int h);
matrix * matrix_h(int n);
matrix * matrix_g(int n);
matrix * matrix_prodLM(matrix * a, matrix * b);
matrix * matrix_prodMC(matrix * m, matrix * c);
matrix * matrix_databits(matrix * m);
int matrix_null(matrix * m);
void matrix_print(matrix * m);
void matrix_free(matrix * m);

#endif /* _matrix_H */
